### Constructor

# FwupdPlugin UsbBosDescriptor new

since: 2.1.1

#### Declaration [src]

    FuUsbBosDescriptor*
    fu_usb_bos_descriptor_new (
      FuUsbBosHdr* st_hdr
    )

#### Description

No description available.

Available since: 2.1.1

#### Parameters

`st_hdr`

  Type: `FuUsbBosHdr`

  A `FuUsbBosHdr`.

  The data is owned by the caller of the function.

#### Return value

Type: `FuUsbBosDescriptor`

A new `FuUsbBosDescriptor` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.